petsc-3.13.6 2020-09-29
Report Typos and Errors

# DMPlexCheckFaces

Check that the faces of each cell give a vertex order this is consistent with what we expect from the cell type

### Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexCheckFaces(DM dm, PetscInt cellHeight)

Not Collective

### Input Parameters

| dm | - The DMPlex object
| cellHeight | - Normally 0

### Notes

This is a useful diagnostic when creating meshes programmatically. This routine is only relevant for meshes that are fully interpolated across all ranks. It will error out if a partially interpolated mesh is given on some rank. It will do nothing for locally uninterpolated mesh (as there is nothing to check).

For the complete list of DMPlexCheck* functions, see DMSetFromOptions().

### See Also

DMCreate(), DMPlexGetVTKCellHeight(), DMSetFromOptions()

### Level

developer

### Location

src/dm/impls/plex/plex.c
Index of all DMPLEX routines
Table of Contents for all manual pages
Index of all manual pages